System.register([], function (_export, _context) {
  "use strict";

  var __SystemJSRewritingHack;
  function fa4(classes) {
    return '<i class="fa fa-' + classes + '" aria-hidden="true"></i>';
  }
  function iconStringForFileEntry(entry) {
    const name = entry.name;
    if (entry.name.match(/\.md$/)) {
      return fa4("file-text-o");
    }
    if (entry.type == "directory") {
      return fa4("folder");
    }
    if (entry.type == "link") {
      return fa4("arrow-circle-o-right");
    }
    if (/\.html$/i.test(name)) {
      return fa4("html5");
    }
    if (/(\.|-)(spec|test)\.js$/i.test(name)) {
      return fa4("check-square-o");
    }
    if (/\.js$/i.test(name)) {
      return fa4("file-code-o");
    }
    if (/\.css$/i.test(name)) {
      return fa4("css3");
    }
    if (/\.gs$/i.test(name)) {
      return fa4("pencil-square-o");
    }
    if (/\.membrane$/i.test(name)) {
      return fa4("pencil-square");
    }
    if (/\.(png|jpg)$/i.test(name)) {
      return fa4("file-image-o");
    }
    if (/\.(pdf)$/i.test(name)) {
      return fa4("file-pdf-o");
    }
    return fa4("file-o");
  }
  _export({
    fa4: fa4,
    iconStringForFileEntry: iconStringForFileEntry
  });
  return {
    setters: [],
    execute: function () {
      __SystemJSRewritingHack = {};
      _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_utils_font_awesome_utils_js = _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_utils_font_awesome_utils_js || {};
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_utils_font_awesome_utils_js, "iconStringForFileEntry", {
        get() {
          return iconStringForFileEntry;
        },
        set(thisIsVererySecretVariableName) {
          _export("iconStringForFileEntry", iconStringForFileEntry = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_utils_font_awesome_utils_js, "fa4", {
        get() {
          return fa4;
        },
        set(thisIsVererySecretVariableName) {
          _export("fa4", fa4 = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
    }
  };
});